<template>
  <div id="chart-payments" style="height: 150px;"></div>
</template>

<script>
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
am4core.useTheme(am4themes_animated);

export default {
  mounted() {
    this.createChartPayments();
  },
  methods: {
    createChartPayments() {
      var chartPayments = am4core.create("chart-payments", am4charts.PieChart);
      chartPayments.data = [
        {
          type: "Dinheiro",
          percentage: 58.9,
        },
        {
          type: "Cartão de Crédito",
          percentage: 71.9,
        },
        {
          type: "Cartão de Débito",
          percentage: 10.9,
        },
        {
          type: "Voucher",
          percentage: 18.9,
        },
      ];

      var pieSeries = chartPayments.series.push(new am4charts.PieSeries());
      pieSeries.dataFields.value = "percentage";
      pieSeries.dataFields.category = "type";
      chartPayments.innerRadius = am4core.percent(50);
      pieSeries.labels.template.disabled = true;
      pieSeries.ticks.template.disabled = true;
      chartPayments.legend = new am4charts.Legend();
      chartPayments.legend.position = "right";
      chartPayments.legend.fontSize = "10px";
    },
  },

  beforeDestroy() {
    if (this.chartPayments) {
      this.chartPayments.dispose();
    }
  },
};
</script>
